import { parser } from "./parser/parser.js"
import { parseMixed } from "@lezer/common"

import { parser as tomlParser } from "lezer-toml"
import { parser as mdParser } from "@lezer/markdown"

export const recitalParser = parser.configure({
	wrap: parseMixed((node) => {
		switch (node.name) {
			case "TomlContent":
				return { parser: tomlParser }
			case "FormattedText":
				return { parser: mdParser }
		}
		return null
	}),
})
