import {styleTags, tags as t} from "@lezer/highlight"

/**
 * Tags are used to refer to recital concepts:
 * Command: string
 * Choice: url
 * Shorthand: variableName
 * Fragment: labelName
 * Scene: heading
 * Toml: definitionKeyword (NOTE: only used for the +++, the contents are syntax highlighted in TOML)
 * At, choice symbols: color
 */

export const recitalHighlighting = styleTags({
  Comment: t.lineComment,
  Scene: t.heading1,
  Toml: t.definitionKeyword,
  Bold: t.strong,
  Italic: t.emphasis,
  Fragment: t.labelName,
  Command: t.string,
  CommandParam: t.emphasis,
  CommandStart: t.string,
  Choice: t.url,
  ChoiceStart: t.color,
  ChoiceStartBracket: t.strong,
  ChoiceEndBracket: t.strong,
  ChoiceContents: t.url,
  WeaveStart: t.color,
  At: t.color,
  Shorthand: t.variableName,
  ShorthandText: t.variableName
})
